Bug 975330 - Fedora19:Beta: Parted : print 1 does not display detailed information about partition
Fedora19:Beta: Parted : print 1 does not display detailed information about p...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
22
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-18 02:42 EDT by IBM Bug Proxy
Modified: 2016-07-19 16:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:02:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 94511 None None None Never

  None (edit)
Description IBM Bug Proxy 2013-06-18 02:42:41 EDT
== Comment: #0 - MANAS K. NAYAK <maknayak@in.ibm.com> - 2013-06-10 08:51:33 ==
While trying to print detailed information for individual partition  on F19 ppc64 beta, there is no output at all.

[root@miz08 ]# parted /dev/sda
GNU Parted 3.1
Using /dev/sda
Welcome to GNU Parted! Type 'help' to view a list of commands.
(parted) print                                                            
Model: AIX VDASD (scsi)
Disk /dev/sda: 22.5GB
Sector size (logical/physical): 512B/512B
Partition Table: msdos
Disk Flags: 

Number  Start   End     Size    Type      File system     Flags
 1      1049kB  5243kB  4194kB  primary                   boot, prep
 2      5243kB  9437kB  4194kB  primary                   prep
 3      9437kB  534MB   524MB   primary   ext4
 4      534MB   22.5GB  22.0GB  extended
 8      535MB   536MB   1049kB  logical
 5      536MB   11.0GB  10.5GB  logical   ext4
 6      11.0GB  12.1GB  1049MB  logical   ext4
 7      12.1GB  13.1GB  1049MB  logical   linux-swap(v1)
 9      13.1GB  17.4GB  4295MB  logical
10      17.4GB  22.5GB  5131MB  logical

(parted) print 1                                   
(parted) print 2                                                          
(parted) print 10
(parted)            


--- System & Package information ---
[root@miz08 ~]# rpm -qa | grep -i parted
parted-devel-3.1-12.fc19.ppc64
parted-3.1-12.fc19.ppc64
[root@miz08 ~]# parted -v
parted (GNU parted) 3.1
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Written by <http://git.debian.org/?p=parted/parted.git;a=blob_plain;f=AUTHORS>.


[root@miz08 ~]# uname -a
Linux miz08.austin.ibm.com 3.9.4-300.fc19.ppc64p7 #1 SMP Sun May 26 22:14:56 MST 2013 ppc64 ppc64 ppc64 GNU/Linux

== Comment: #1 - Onkar N. Mahajan <onmahaja@in.ibm.com> - 2013-06-10 10:14:07 ==
Manas, please provide machine access information for debugging.

Regards,
Onkar

== Comment: #3 - Onkar N. Mahajan <onmahaja@in.ibm.com> - 2013-06-13 05:39:40 ==
Manas, 
     I see that print <partition #> is not implemented. 
     By-the-way , what detail information about the individual partition are you expecting ? I guess almost all the information about the individual partitions is printed through the 'print' command. 
    And it works like this in fedora 18 as well. 

Regards,
Onkar

== Comment: #6 - Gustavo Luiz Duarte <gusld@br.ibm.com> - 2013-06-14 16:02:55 ==
Lowering the severity of this bug. The referred syntax is not implemented on Fedora's parted, neither on Power nor on x86. This is just a documentation issue with the help info.
Comment 1 IBM Bug Proxy 2013-10-11 06:11:10 EDT
------- Comment From khusriva@in.ibm.com 2013-10-11 10:08 EDT-------
In Fedora20 I am still able to reproduce the issue.

[root@dlpar-rhel ~]# parted
Disk /dev/sda: 42.9GB

Number  Start   End     Size    Type     File system  Flags
1      1049kB  5243kB  4194kB  primary               boot, prep
2      5243kB  530MB   524MB   primary  ext4
3      530MB   42.9GB  42.4GB  primary               lvm

(parted)
(parted) print 3
(parted)
(parted) print all
Model: AIX VDASD (scsi)
Disk /dev/sda: 42.9GB
Sector size (logical/physical): 512B/512B
Partition Table: msdos
Disk Flags:

Number  Start   End     Size    Type     File system  Flags
1      1049kB  5243kB  4194kB  primary               boot, prep
2      5243kB  530MB   524MB   primary  ext4
3      530MB   42.9GB  42.4GB  primary               lvm

Model: Linux device-mapper (linear) (dm)
Disk /dev/mapper/fedora-root: 34.9GB
Sector size (logical/physical): 512B/512B
Partition Table: loop
Disk Flags:

Number  Start  End     Size    File system  Flags
1      0.00B  34.9GB  34.9GB  ext4

Model: Linux device-mapper (linear) (dm)
Disk /dev/mapper/fedora-swap: 7533MB
Sector size (logical/physical): 512B/512B
Partition Table: loop
Disk Flags:

Number  Start  End     Size    File system     Flags
1      0.00B  7533MB  7533MB  linux-swap(v1)

Warning: Unable to open /dev/sr0 read-write (Read-only file system).  /dev/sr0
has been opened read-only.
Warning: The driver descriptor says the physical block size is 512 bytes, but
Linux says it is 2048 bytes.
Ignore/Cancel? Cancel
Model: AIX VOPTA (scsi)
Disk /dev/sr0: 4596MB
Sector size (logical/physical): 2048B/2048B
Partition Table: unknown
Disk Flags:

(parted)

[root@dlpar-rhel ~]#
[root@dlpar-rhel ~]# rpm -qa | grep -i parted
parted-3.1-13.fc20.ppc64
[root@dlpar-rhel ~]# parted -v

[root@dlpar-rhel ~]# uname -a
Linux dlpar-rhel 3.11.0-300.fc20.ppc64p7 #1 SMP Thu Sep 5 16:13:50 MST 2013 ppc64 ppc64 ppc64 GNU/Linux
[root@dlpar-rhel ~]#

Hence re-opening the bug again
Comment 2 Jan Kratochvil 2013-11-04 11:14:44 EST
parted-3.1-12.fc19.x86_64

# parted /dev/sda
GNU Parted 3.1
Using /dev/sda
Welcome to GNU Parted! Type 'help' to view a list of commands.
(parted) print                                                            
Model: ATA SAMSUNG HD103UJ (scsi)
Disk /dev/sda: 1000GB
Sector size (logical/physical): 512B/512B
Partition Table: gpt
Disk Flags: 

Number  Start   End     Size    File system  Name       Flags
 1      1049kB  2097kB  1049kB               bios_grub  bios_grub
 2      2097kB  1051MB  1049MB               boot       boot
 3      1051MB  8391MB  7340MB               swap
 4      8391MB  1000GB  992GB                ext4

(parted) print 1                                                          
(parted) print 2                                                          
(parted) print 3                                                          
(parted) print 4                                                          
(parted) _
Comment 3 IBM Bug Proxy 2013-11-07 04:42:10 EST
------- Comment From onmahaja@in.ibm.com 2013-11-07 09:33 EDT-------
(In reply to comment #13)
> parted-3.1-12.fc19.x86_64
>
> # parted /dev/sda
> Model: ATA SAMSUNG HD103UJ (scsi)
> Disk /dev/sda: 1000GB
> Partition Table: gpt
>
> Number  Start   End     Size    File system  Name       Flags
> 1      1049kB  2097kB  1049kB               bios_grub  bios_grub
> 2      2097kB  1051MB  1049MB               boot       boot
> 3      1051MB  8391MB  7340MB               swap
> 4      8391MB  1000GB  992GB                ext4
>
> (parted) print 3
> (parted) print 4
> (parted) _

Redhat ,  What are the plans for resolution of this issue , can we expect this to be resolved in forthcoming f20 release ? Please update.
Comment 4 IBM Bug Proxy 2013-11-11 11:20:31 EST
------- Comment From baude@us.ibm.com 2013-11-11 16:12 EDT-------
IBM Folks,

Our understanding is this is a documentation issue.  As such, I don't find it prudent to be bothering Red Hat for this information.  Remember that Fedora is a community distribution and as your are a member in that community, you should be willing to participate here, especially because this (as I understand it) isn't a technical issue that requires intimate knowledge.  I suggest you take 1 of 3 courses of action:

1. Close this bug
2. Provide a patch to correct the man page to upstream and Fedora
3. Provide a patch to correct the behaviour of the package to upstream and Fedora.
Comment 5 Jaroslav Reznik 2015-03-03 09:57:54 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 6 Fedora End Of Life 2016-07-19 16:02:28 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.